<!DOCTYPE html>
<html lang="en">




<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1">

  <!-- page title (site.title if page.title doesn't exist) -->
  <title>W7. Computer Numerical Control (CNC) </title>

  <!-- site description (appears in Google etc.) or page.excerpt if defined -->
  <meta name="Comuputer" content="Aenean lacinia bibendum nulla sed consectetur. Etiam porta sem malesuada magna mollis euismod. Donec ullamcorper nulla non metus auctor fringilla. Vivamus sa...">

  <!-- import our stylesheet -->
  <link href="subpage.css" rel="stylesheet" type="text/css">





  <!-- load favicon -->
  <link rel="shortcut icon" type="image/png" href="/mdef-jekyll-starter/images/favicon.png" />


  <!-- canonical URLs for better SEO -->
  <link rel="
    canonical" href="http://localhost:4000/mdef-jekyll-starter/reflections/biology-zero/">
  <link rel="alternate" type="application/rss+xml" title="MDEF Jekyll starter" href="/mdef-jekyll-starter/feed.xml">
<!-- load css sytle sheet -->

<title> Computer Numerical Control (CNC) </title>
  <link href="style.css" rel="stylesheet" type="text/css">

</head>

<body>

<div class="container">
  <header class="header" role="banner">


        <div class="row" style="text-align:center;">

        <ul class="main-nav">


                    <li><a href="https://mdef.gitlab.io/adriana.tamargo/"> MDEF </a></li>
          <li><a href="https://mdef.gitlab.io/adriana.tamargo/Reflections.html"> First term </a></li>
          <li><a href="https://mdef.gitlab.io/adriana.tamargo/Secondterm.html"> Second term </a></li>
          <li class="active"><a href="https://mdef.gitlab.io/adriana.tamargo/FabAcademy.html"> Fab Academy </a></li>
          <li><a href="https://mdef.gitlab.io/adriana.tamargo/Finalproject.html"> Final project </a></li>
          <li><a href="https://mdef.gitlab.io/adriana.tamargo/Aboutme.html"> About me </a></li>
          <li> <h5> adriana.tamargo@iaac.net </h5> </li>
                </ul>

    </div>


  </header>

  <main class="page-content" aria-label="Content">
    <div class="wrapper">

    <h1 id="subheading-2">W7. Computer Numerical Control Machining (CNC)</h1>

<p>
The objective this week was to design something big. CNC or Computer Computer Numerical Control,  is a substractive procedure that converts the design produced by computer aided design software(cad) into number.
</p>

<h2 id="subheading-2">The process</h2>

<b>1. Measure your material. </b> <p> We are going to uses a polywood board of 12400 x 2500 mm and 15mm thickness. </p>
<b>2. Design something BIG. </b> <p> I worked with <a href="https://mdef.gitlab.io/barbara.drozdek/fab_academy/week_7/"> Barbara </a> on this week’s assignments and we designed a bookshelf that she had adapted in Grasshopper in order to be customized to the specific space you have on your home. We decided to make a bookshelf of 1.5 x 1.5 m for the studio of my boyfriend that needed one. The cool characteristic of the design is that you don’t need anything to assemble the bookself  and that you can play with the different angles of the shelf and make your own design. </p>
<b>3. Prototype in a small scale.  </b> <p> We made a model of our design in a 1:5 scale and lasercudt it in a 3mm cardboard. As the cardboard was not hard enough we couldn’t test if the pieces of the self were going to blend as we wanted so we made another model in MDF. This time we could test the design and everything worked ok so we assumed we were ready to mill. </p>
<b>4. Rhinocam. </b> <p> We used Rhinocam to prepare the file for the gcode generation. Usually, we would prepare two G-codes: One for the markings of the screws that will hold the wood to the sacrificial layer of the machine
and the other one including the rest of strategies. The order of the strategies made was: 1. engraving job for the screws, 2. pockets, 3. insides / incuts, 4. coutsides / outcuts. Below I add photos of the process.  </p>

<p>Then we checked our Gcode with Yannis and milled the design.</p>

<b>5. Miling. </b> <p> Aspects to have in mind: After screwing down the wood board we have to rezero the Z as the board will move down a bit. We had some problems at this point because even if we rezero the Z the tool didn’t cut through for some reason. Then we realized that the screws were not long enough and that one screw on the middle of the board was not fixed, that’s why the board was a bit upper on the middle of it. After that, it cut through but the mill was breaking a bit the upface of the wood so we changed the Gcode to send it as upcut instead of downcut and we changed the endmill as well. This way the cut was cleaner. </p>

<b>6. Assemble the design. </b> <p> When we were trying to assemble the design we realized that the tolerances were too small!!! Even if we designed the pieces with 0.4 tolerances each side and the normal tolerances are 0.3, it was not enough. Therefore, the pieces wouldn’t fit as we thought they will. After spending some time sanding then, we were able to fit everything together but the selfs wouldn’t bend as much as the original design. We’ve learned that you always have to check your tolarences first on the CNC. </p>

<b>Photos of the process: </b>
<p> Computer aided design </p>
<img src="https://mdef.gitlab.io/adriana.tamargo/3dmodel.jpg" width="450">
<p> 1:5 prototype in cardboard 3mm </p>
<img src="https://mdef.gitlab.io/adriana.tamargo/testing1.jpg" width="700">
<img src="https://mdef.gitlab.io/adriana.tamargo/testing2.jpg" width="700">
<p> 1:5 protoype in MDF </p>
<img src="https://mdef.gitlab.io/adriana.tamargo/testing3.jpg" width="700">
<p> Preparing the files in RhinoCAM </p>


<img src="https://mdef.gitlab.io/adriana.tamargo/rhinocam1.jpg" width="500">
<img src="https://mdef.gitlab.io/adriana.tamargo/rhinocam2.jpg" width="500">
<img src="https://mdef.gitlab.io/adriana.tamargo/rhinocam3.jpg" width="500">
<img src="https://mdef.gitlab.io/adriana.tamargo/stock4.jpg" width="500">




<p> Machining </p>
<img src="https://mdef.gitlab.io/adriana.tamargo/machining1.jpg" width="500">
<img src="https://mdef.gitlab.io/adriana.tamargo/machining2.jpg" width="500">
<img src="https://mdef.gitlab.io/adriana.tamargo/machining3.jpg" width="500">


<p> Sanding and assembling </p>
<img src="https://mdef.gitlab.io/adriana.tamargo/sanding.jpg" width="550">
<img src="https://mdef.gitlab.io/adriana.tamargo/pieces.jpg" width="550">
<img src="https://mdef.gitlab.io/adriana.tamargo/assembling.jpg" width="550">



<p>Photos of the final bookshelf: </p>

<img src="https://mdef.gitlab.io/adriana.tamargo/shelf1.jpg" width="800">
<img src="https://mdef.gitlab.io/adriana.tamargo/shelf2.jpg" width="800">
<img src="https://mdef.gitlab.io/adriana.tamargo/shelf3.jpg" width="800">


<h3> Learnings </h3>


<p> There are two important tests to do before machining with the CNC: 1. Small scale test (lasercut a small prototype to check the design), 2. Joints and tolerances test with the real material. </p>
<p> Be safe! Wear safety glasses, ear protection, closed shoes, only one operator at a time, always someone checking the machine, avoid small parts that can fly and end up in your face. </p>
<p> Do first the screws and be aware of them so you don't break the mill. First you send a work with only the screwing. </p>
<p> Check that the screws are long enough and properly hold down the board. </p>
<p> The strategy to follow will alway be: 1. pockets, 2. insides / incuts, 3. outsides / outcuts. </p>
<p> The importance of choosing the right bit. There are down-cut and up-cut bits, which will make different edge quality on the upper and the lower layer of the plywood when cutting through. What happened to us is that the bit we chose in the beginning didn't fit the cut and was damaging the upper surface of the board. This could be too because of the Chipload calculation that we didn't make as we used the parameters that were alread set on the RhinoCAM as we all were cutting the same material. For making hte chipload calculation Javi Albo explains it super well in <a href="http://archive.fabacademy.org/2018/labs/barcelona/students/javier-alboguijarro/week7.html"> his documentation. </a> </p>

<h2> References </h2>

<a href="https://www.playwood.it/en/playwood-uses-projects/?it=gallery/"> 50 Digital Joints </a></li>
<a href="https://www.opendesk.cc/"> Nice furniture </a></li>
<a href="http://archive.fabacademy.org/2018/labs/barcelona/students/javier-alboguijarro/week7.html"> Nice Chipload Calculation explanation </a></li>


<h2 id="subheading-2">Files</h2>

<a href="https://gitlab.com/MDEF/adriana.tamargo/blob/master/parametrized_italic_shelf_-_laser_cutter_20_.gh"> Parametrized shelf </a></li>
<a href="https://gitlab.com/MDEF/adriana.tamargo/blob/master/shelf_milling_2boards.dxfl"> Shelf milling 2 boards </a></li>
<a href="https://gitlab.com/MDEF/adriana.tamargo/blob/master/shelf_milling_parts.dxf"> Shelf milling parts </a></li>


</div>

    </div>

  </div>



</article>
    </div>
  </main>

  <footer class="footer">

  <div class="row" style="text-align: center;">

      <ul class="main-nav">
        <li><a href="https://mdef.gitlab.io/adriana.tamargo/Electronicsdesign.html"> Previous post </a></li>
        <li><a href="https://mdef.gitlab.io/adriana.tamargo/Embeddedprogramming.html"> Next post </a></li>
        <li><h5>adriana.tamargo@iaac.net</h5></li>

    </div>

  </div>

    <div class="row" style="text-align: left;">

  </div>

</footer>

</body>

</html>
